Subject: bug#56792: 29.0.50; Emacs crashes when selecting text if xfreerdp is also running

From: Po Lu <[email-masked]>
Date: Thu, 28 Jul 2022 18:49:33 +0800

Lars Ingebrigtsen <[email-masked]> writes:

> But aborting here is not acceptable.  Surely there's something Emacs can
> do here -- it doesn't have to do something sensible, it just has to not
> abort.

GDK doesn't have a generic "window system error" concept, which is only
present on X11.  So unless you write error trapping code specific to
X11, there's no way to handle those errors.  And doing that isn't
reliable if the GDK X11 development files were not installed at
build-time.